Skip to main content

Confirm voucher order

POST 

/order/voucher/confirm/:id/

Confirm an order by sharing the hash of the deposit transaction(s) with Outlogic to generate a voucher.

Request

Path Parameters

    id stringrequired

    The id that identifies the placed order

Body

required
    txs string[]required

Responses

The updated details of your voucher order and the new voucher.

Schema
    order object
    id string
    status string

    Possible values: [WAITING_FOR_DEPOSIT, DEPOSIT_RECEIVED, DEPOSIT_CONFIRMED, APPROVED, COMPLETED, CANCELED, EXPIRED, REJECTED, REFUNDED]

    email email
    refund_crypto_address string
    created_at string
    expires_at string
    confirmed_at string
    approved_at string
    completed_at string
    deposit_crypto_address string
    from_amount float
    from_asset string
    to_asset string
    destination_type string

    Possible values: [crypto, sepa, swift, us]

    destination_crypto_address string
    destination_bank_address string
    destination_bank_name string
    destination_bank_account_number string
    trade object
    from_amount float
    from_asset string
    to_amount float
    to_asset string
    fee_amount float
    price float
    timestamp string
    voucher object
    id string
    code string
    value float
    currency string
    created_at string
    expires_at string
    redeemed boolean
Loading...